Page MenuHomePhabricator

[libunwind] Clean up macro usage.
ClosedPublic

Authored by rs on Mar 17 2017, 7:11 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

rs created this revision.Mar 17 2017, 7:11 AM
EricWF accepted this revision.Mar 27 2017, 8:07 PM

LGTM minus the suggested cleanup.

include/__libunwind_config.h
15 ↗(On Diff #92140)

This should have an empty definition to avoid people depending on the value 1.

20 ↗(On Diff #92140)

This should have an empty definition to avoid people depending on the value 1.

src/config.h
35 ↗(On Diff #92140)

This should have an empty definition to avoid people depending on the value 1.

52 ↗(On Diff #92140)

This should have an empty definition to avoid people depending on the value 1.

56 ↗(On Diff #92140)

This should have an empty definition to avoid people depending on the value 1.

64 ↗(On Diff #92140)

This should have an empty definition to avoid people depending on the value 1.

This revision is now accepted and ready to land.Mar 27 2017, 8:07 PM
rs updated this revision to Diff 93646.Mar 31 2017, 8:37 AM
rs marked 6 inline comments as done.
This revision was automatically updated to reflect the committed changes.